[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'IniPropStorage' (#lcl)

# TCustomIniPropStorage.DoWriteString

Performs actions needed to write the specified value to the INI storage using a string type.

## Declaration

Source position: inipropstorage.pas line 44

`public procedure TCustomIniPropStorage.DoWriteString(`
`const Section: string;`
`const Ident: string;`
`const Value: string`
`); override;`

## Arguments

`Section` |  | The section name where the specified value is stored in the method.
`Ident` |  | The name for the identifier where the specified value is stored in the method.
`Value` |  | Contains the value for the identifier stored in the specified section.

## Description

DoWriteString is an overridden method in TCustomIniPropStorage. It implements the abstract virtual method defined in the TCustomPropertyStorage ancestor.

Section contains the name for the section where the specified value is stored in IniFile.

Ident contains the name for the identifier written to the specified Section.

Value contains the string value stored in IniFile in the method.

DoWriteString calls the WriteString method in IniFile using the arguments passed to the method.

## See also

TCustomPropertyStorage.DoWriteString |  | Default OnWriteString handler; must be overridden.
TIniFile.WriteString